## python-os-ken 2.10.1

=== debian/changelog ===
python-os-ken (2.10.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Accept_empty_OXM_fields.patch applied upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:26:20 +0000

python-os-ken (2.10.0-4) UNRELEASED; urgency=medium

  * Add Accept_empty_OXM_fields.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2026 14:35:15 +0100

python-os-ken (2.10.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090554).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:25:35 +0100

python-os-ken (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:15:18 +0200

python-os-ken (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:56:42 +0200
