## python-os-ken 3.1.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
eventlet>=0.27.0 # MIT
msgpack>=1.0.0  # RPC library, BGP speaker(net_cntl)
ncclient>=0.6.13 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=5.1.0
ovs>=2.8.0  # OVSDB
packaging>=20.4  # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2  # wsgi
