=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
