## python-os-ken 4.1.1

=== debian/changelog ===
python-os-ken (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Accept_empty_OXM_fields.patch applied upstream.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:23:29 +0100

python-os-ken (3.1.1-3) unstable; urgency=medium

  * Add Accept_empty_OXM_fields.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2026 14:04:46 +0100

python-os-ken (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:37:52 +0200

python-os-ken (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:42:54 +0200
